Bug 1470116 - /etc/dnf/automatic.conf configuration for command_email is ignored
Summary: /etc/dnf/automatic.conf configuration for command_email is ignored
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Rohel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-12 12:15 UTC by Jaroslav Rohel
Modified: 2017-07-25 16:56 UTC (History)
3 users (show)

Fixed In Version: dnf-2.6.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 16:56:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslav Rohel 2017-07-12 12:15:41 UTC
Description of problem:
dnf-automatic doesn't load configuration for "command_email".

Version-Release number of selected component (if applicable):
dnf-2.5.1 (and probably all versions of DNF)

How reproducible: Everytime

Steps to Reproduce:
1. emit_via = command_email
2. set config eg. "email_from" and "email_to"
3. use dnf-automatic (eg. start "dnf-automatic --downloadupdates")

Actual results: Hardcoded dafeult is used (Sends email from "root" to "root".)


Expected results: Use configuration from automatic.conf file

Comment 1 Jaroslav Rohel 2017-07-12 12:19:55 UTC
PR: https://github.com/rpm-software-management/dnf/pull/865

Comment 2 Fedora Update System 2017-07-24 14:52:18 UTC
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 3 Fedora Update System 2017-07-25 04:27:22 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 4 Fedora Update System 2017-07-25 16:56:19 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.